#!/bin/bash

tag=0.3.2

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone https://github.com/ctalkington/node-crc32-stream.git
cd node-crc32-stream
git archive --format=tar tags/${tag} test/ \
    | bzip2 > "$pwd"/nodejs-crc32-stream-tests-${tag}.tar.bz2
popd
